# Validate password for a user POST https://app.unleash-instance.example.com/api/admin/user-admin/validate-password Content-Type: application/json Validate the password strength. Minimum 10 characters, uppercase letter, number, special character. Reference: https://docs.getunleash.io/api/validate-user-password ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Validate password for a user version: endpoint_users.validateUserPassword paths: /api/admin/user-admin/validate-password: post: operationId: validate-user-password summary: Validate password for a user description: >- Validate the password strength. Minimum 10 characters, uppercase letter, number, special character. tags: - - subpackage_users parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Users_validateUserPassword_Response_200' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: passwordSchema content: application/json: schema: $ref: '#/components/schemas/passwordSchema' components: schemas: passwordSchema: type: object properties: password: type: string description: The new password to change or validate. oldPassword: type: string description: >- The old password the user is changing. This field is for the non-admin users changing their own password. confirmPassword: type: string description: >- The confirmation of the new password. This field is for the non-admin users changing their own password. required: - password Users_validateUserPassword_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/user-admin/validate-password" payload = { "password": "k!5As3HquUrQ" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/user-admin/validate-password'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"password":"k!5As3HquUrQ"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/user-admin/validate-password" payload := strings.NewReader("{\n \"password\": \"k!5As3HquUrQ\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/user-admin/validate-password") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"password\": \"k!5As3HquUrQ\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/user-admin/validate-password") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"password\": \"k!5As3HquUrQ\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/user-admin/validate-password', [ 'body' => '{ "password": "k!5As3HquUrQ" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/user-admin/validate-password"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"password\": \"k!5As3HquUrQ\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["password": "k!5As3HquUrQ"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/user-admin/validate-password")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```